<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title></title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_activation</name>
    <title>Activation</title>
    <filename>group__globus__gass__transfer__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GASS_TRANSFER_MODULE</name>
      <anchorfile>group__globus__gass__transfer__activation.html</anchorfile>
      <anchor>g9db153954d106fb5bd4072e16280081d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_client</name>
    <title>Client-Initiated Operations</title>
    <filename>group__globus__gass__transfer__client.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_get</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>g712393f4f19520581fe00332b38ca0fb</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_get</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>g521fca100fac581b74f0bf7b99df6436</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_put</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>g85fa8265e7e18ffcdf9cd51dd566ce3d</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_put</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>g35ef34feecb502187ee1285556134a95</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_append</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>gd0043217e0a2fa6e2ed096a4e383e1ca</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_append</name>
      <anchorfile>group__globus__gass__transfer__client.html</anchorfile>
      <anchor>gc98e8bd7665f7b925a487244d4843a37</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_server</name>
    <title>Implementing Servers</title>
    <filename>group__globus__gass__transfer__server.html</filename>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_close_callback_t</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>ga916f0b485c0a5067787d8928a70950f</anchor>
      <arglist>(void *callback_arg, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_listen_callback_t</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gedaa43bf2891ef97fc6bf4b4cf350fba</anchor>
      <arglist>(void *callback_arg, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_create_listener</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g311de5153725533ae3cfebbb05dee2e9</anchor>
      <arglist>(globus_gass_transfer_listener_t *listener, globus_gass_transfer_listenerattr_t *attr, char *scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_close_listener</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g066eb5d0b6037ab106a81457264679d3</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_close_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_listen</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gb9253ebc552193a89fb0752967b0a24a</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_listen_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_accept</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g4273649fef4ea29d62a9bf25edabcf62</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_listener_t listener, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_gass_transfer_listener_get_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g02922c7b450157c1f5b9d1a6d5197e2b</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listener_set_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>gd07d373b61230060c08323acbee6c8f4</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_listener_get_base_url</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g6f0234d3170184fd56599bafa4bddb1a</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_refer</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g50a38c1349b7a0d3475f44cd737ad7c8</anchor>
      <arglist>(globus_gass_transfer_request_t request, char **urls, globus_size_t num_urls)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_authorize</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g18123e071bb5408751bf39df46ccf72b</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_size_t total_length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_deny</name>
      <anchorfile>group__globus__gass__transfer__server.html</anchorfile>
      <anchor>g552e228290b23dff0a3b89a5ef23c9ed</anchor>
      <arglist>(globus_gass_transfer_request_t request, int reason, char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_data</name>
    <title>Sending and Receiving Data</title>
    <filename>group__globus__gass__transfer__data.html</filename>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_bytes_callback_t</name>
      <anchorfile>group__globus__gass__transfer__data.html</anchorfile>
      <anchor>ga1588a94d0210bcefb88dbfc7ab69e44</anchor>
      <arglist>(void *arg, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t length, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_send_bytes</name>
      <anchorfile>group__globus__gass__transfer__data.html</anchorfile>
      <anchor>g5881bc637b5ffefc06729b544dd74c58</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t send_length, globus_bool_t last_data, globus_gass_transfer_bytes_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_receive_bytes</name>
      <anchorfile>group__globus__gass__transfer__data.html</anchorfile>
      <anchor>gf0f6ec37890ac60d3c0849d97b6e311c</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t max_length, globus_size_t wait_for_length, globus_gass_transfer_bytes_callback_t callback, void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_referral</name>
    <title>Referrals</title>
    <filename>group__globus__gass__transfer__referral.html</filename>
    <member kind="function">
      <type>globus_size_t</type>
      <name>globus_gass_transfer_referral_get_count</name>
      <anchorfile>group__globus__gass__transfer__referral.html</anchorfile>
      <anchor>g1756b099c8a52175c8a8f0841f8c0ad6</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_referral_get_url</name>
      <anchorfile>group__globus__gass__transfer__referral.html</anchorfile>
      <anchor>g3ca5dd47cea90ad4b7faa463602c434a</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral, globus_size_t index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_referral_destroy</name>
      <anchorfile>group__globus__gass__transfer__referral.html</anchorfile>
      <anchor>g3b0f9e30526160620a05fb473390036a</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_request</name>
    <title>Request Handles</title>
    <filename>group__globus__gass__transfer__request.html</filename>
    <class kind="struct">globus_gass_transfer_request_t</class>
    <member kind="enumeration">
      <name>globus_gass_transfer_request_type_t</name>
      <anchor>gda7cd7334268408c4b5e45af1a384f8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_INVALID</name>
      <anchor>ggda7cd7334268408c4b5e45af1a384f8e2c7b7b68007ca6d9a76398d75f761bd0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_GET</name>
      <anchor>ggda7cd7334268408c4b5e45af1a384f8e37a5c853bb7671beaa4443ba0c1275f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_PUT</name>
      <anchor>ggda7cd7334268408c4b5e45af1a384f8eaac744a7c0e3ef1019c40203acaca00b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_APPEND</name>
      <anchor>ggda7cd7334268408c4b5e45af1a384f8ec843f9779f5fb78a4907cea4c198245c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gass_transfer_request_status_t</name>
      <anchor>gf9546e003d890f3c7d58dbfd53659078</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_INVALID</name>
      <anchor>ggf9546e003d890f3c7d58dbfd53659078b4adeaa97146ba3adaac8bffaceaca90</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_STARTING</name>
      <anchor>ggf9546e003d890f3c7d58dbfd5365907886316723dd78986d3335bc463b45746b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_PENDING</name>
      <anchor>ggf9546e003d890f3c7d58dbfd53659078ff9003f3c6199cb32e54555e2db4a867</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_FAILED</name>
      <anchor>ggf9546e003d890f3c7d58dbfd53659078bee6ffcf85f1b8a73111d6b98822ac74</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_REFERRED</name>
      <anchor>ggf9546e003d890f3c7d58dbfd53659078037d2b3378ee331f05625727f1a9cf5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_DENIED</name>
      <anchor>ggf9546e003d890f3c7d58dbfd53659078bc86df3a1cafb2af5f7fe8d86276fce1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_DONE</name>
      <anchor>ggf9546e003d890f3c7d58dbfd53659078a6353ee97d35caf1dc1d6bf00e392909</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_gass_transfer_request_type_t</type>
      <name>globus_gass_transfer_request_get_type</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g156048d89d12fc7e73e0ca073646388c</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_gass_transfer_request_get_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g83c2b02fa7074d006466d06ae78a932a</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_user_pointer</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g19ba1feb30ce9bea597c1ade3f52db80</anchor>
      <arglist>(globus_gass_transfer_request_t request, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_gass_transfer_request_status_t</type>
      <name>globus_gass_transfer_request_get_status</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g9a630e3d621337d45c9d0f4a0ba1e1f4</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_get_referral</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g6b73f8723f7d6d934113bde76a8c7af0</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_referral_t *referral)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_url</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g677b08585be2f37d5a39b2f92c93b156</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>globus_size_t</type>
      <name>globus_gass_transfer_request_get_length</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g84c0568ee61174fa3f422a3783e19535</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_type</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g17e24cdde96bc101f0990824d2b882b1</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_request_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_url</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga63539c965fe02a68bbb7f3b40952496</anchor>
      <arglist>(globus_gass_transfer_request_t request, char *url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_request_set_length</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g34a79a0bf7cb260dddceb091ffd2c2a3</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_size_t length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_get_denial_reason</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g2270879a7d1fa211203977ceb39248ec</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_denial_message</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g96d0c97beb376db54c84c434d39b5afe</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_subject</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>g01cea0414776a7a438b38ba3faa84258</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_destroy</name>
      <anchorfile>group__globus__gass__transfer__request.html</anchorfile>
      <anchor>ga74c0d7be84f4873d3e1847b8eb8f833</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_requestattr</name>
    <title>Request Attributes</title>
    <filename>group__globus__gass__transfer__requestattr.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_proxy_url</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ga2a8a63827c23ec8957abab1ac60476d</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char *proxy_url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_proxy_url</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g4623887f524697f60c65fc0c4eb6acf9</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char **proxy_url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_block_size</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g6995822d1c755ca33dc126c3ec102752</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_size_t block_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_block_size</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g6bee1659e683aa5cbc5ea28f9ceb388c</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_size_t *block_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_file_mode</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g6877d249a0824a6cb1e32a00e3e73eb1</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t file_mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_file_mode</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gf3685d272bb4e7ca0f0635d2ef083d5b</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t *file_mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_connection_reuse</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>gf09d1e5dd705d97452f334014c8cb8a8</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_connection_reuse</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g08a60438636f88cbd26cd39d59b7986a</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t *connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_sndbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ge090231b62b6c3922edf3afd2890263f</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int sndbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_sndbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g21b830a0b7e3c205da97eec24e9790ba</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int *sndbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_rcvbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g696858f6a8e5a93b9a725680bd4d5898</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int rcvbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_rcvbuf</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g48b54885b11f67c3ccf2f5a937fae415</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int *rcvbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_nodelay</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>ge5434389faef83fe19d9782dfe82dd23</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t nodelay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_nodelay</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g3fa682d258463af7a47b4e5121893768</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t *nodelay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_secure_requestattr_set_authorization</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g8a9aeb71bcbd228a1c32cd5492871c13</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t mode, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_secure_requestattr_get_authorization</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g06f37a299f35c4a7eb867cffc7f22e08</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t *mode, char **subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_init</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g26f0da15963db9345e9239fbea082529</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char *url_scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_destroy</name>
      <anchorfile>group__globus__gass__transfer__requestattr.html</anchorfile>
      <anchor>g16cec9524c808826243aa9a921d88641</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_listenerattr</name>
    <title>Listener attributes</title>
    <filename>group__globus__gass__transfer__listenerattr.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_set_backlog</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>g174b0a4be4d6ca205d048dff08924e74</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, int backlog)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_get_backlog</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>ga1874b70b9923a69becc5228eb1ecd5c</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, int *backlog)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_set_port</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>gb48b6946ebfe4ba7fceb0f5c5aa50bb9</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_get_port</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>gfffd43c9183c666ebaecdb4091e733d5</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, unsigned short *port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_init</name>
      <anchorfile>group__globus__gass__transfer__listenerattr.html</anchorfile>
      <anchor>g3d1b0a145bf769a535860509ffecedc5</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, char *url_scheme)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_requestattr_implementation</name>
    <title>Implementing Request Attributes</title>
    <filename>group__globus__gass__transfer__requestattr__implementation.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_requestattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>g4614f4211c341ea69e6ed3f84ad27578</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_socket_requestattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>gc59fa03d369a2179307c82a25ee63346</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_secure_requestattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>gac09112eb63e27752c68539a31d8c372</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_listenerattr_initialize</name>
      <anchorfile>group__globus__gass__transfer__requestattr__implementation.html</anchorfile>
      <anchor>gf8ba32004909acb4e5703102ffaba646</anchor>
      <arglist>(globus_object_t *obj, int backlog, unsigned short port)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_protocol</name>
    <title>Protocol Modules</title>
    <filename>group__globus__gass__transfer__protocol.html</filename>
    <class kind="struct">globus_gass_transfer_request_proto_s</class>
    <class kind="struct">globus_gass_transfer_listener_proto_s</class>
    <class kind="struct">globus_gass_transfer_proto_descriptor_t</class>
    <member kind="typedef">
      <type>globus_gass_transfer_request_proto_s</type>
      <name>globus_gass_transfer_request_proto_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g35ca06415f6bf065009b1274c6e80551</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_gass_transfer_listener_proto_s</type>
      <name>globus_gass_transfer_listener_proto_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g4f403bba55b20170d317b886b499412c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_proto_send_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gb654e8ee381357653606526cf22e8a3a</anchor>
      <arglist>(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t send_length, globus_bool_t last_data)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_proto_receive_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g305222f53735485910dbe5b4380ba0ca</anchor>
      <arglist>(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t bytes_length, globus_size_t wait_for_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_proto_func_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga0f9c2d78830ae2a74eaa084309d8cdc</anchor>
      <arglist>(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_proto_new_request_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g14d7135e1b51e90e42ac6784717c1cf7</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="typedef">
      <type>int(*)</type>
      <name>globus_gass_transfer_proto_create_listener_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga35eefb5f6566730834714767c1c58fc</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_listenerattr_t *attr, char *scheme, char **base_url, globus_gass_transfer_listener_proto_t **proto)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_proto_listener_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga4bd1f98e7bb2502540a35b4cda80b87</anchor>
      <arglist>(globus_gass_transfer_listener_proto_t *proto, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_object_t *(*)</type>
      <name>globus_gass_transfer_proto_new_attr_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gd412a6be9d5ca9680d07442f56e68d25</anchor>
      <arglist>(char *url_scheme)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_gass_transfer_proto_accept_t</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gbaf079e3a6a5462cb3c5e56595ffc562</anchor>
      <arglist>(globus_gass_transfer_listener_proto_t *proto, globus_gass_transfer_listener_t listener, globus_gass_transfer_request_t request, globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_send_complete</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g4c1efe4eb58d6af580d170bfef2c7eca</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t nbytes, globus_bool_t failed, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_receive_complete</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g407072af34d1138e27be2642fe950af1</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t nbytes, globus_bool_t failed, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_listener_ready</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>gf5f785db30f5a631b446617984cbb044</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_proto_register_protocol</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g37e43446732207fa6906ea8594daba46</anchor>
      <arglist>(globus_gass_transfer_proto_descriptor_t *proto_desc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_proto_unregister_protocol</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g44b84dcdf4c62d7a765455246fd633f1</anchor>
      <arglist>(globus_gass_transfer_proto_descriptor_t *proto_desc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_ready</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g03cf6e0fde968114a1dcdfe66bf126ad</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_request_proto_t *proto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_new_listener_request</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g9f4d994259edb376fc4784c20eb61ec9</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_request_t request, globus_gass_transfer_request_proto_t *proto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_denied</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>ga4c5730ad8be4de8a8719aff3a7186e5</anchor>
      <arglist>(globus_gass_transfer_request_t request, int reason, char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_referred</name>
      <anchorfile>group__globus__gass__transfer__protocol.html</anchorfile>
      <anchor>g5d3dd7ab4bd6b3523a448bc00c57459b</anchor>
      <arglist>(globus_gass_transfer_request_t request, char **url, globus_size_t num_urls)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_listener_proto_s</name>
    <filename>structglobus__gass__transfer__listener__proto__s.html</filename>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>close_listener</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>4b34fdf362ec5bcef7ebaf87b0ba406b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>listen</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>1d3084fa5007b8b8192de0fb4a33419f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_accept_t</type>
      <name>accept</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>3521d721ccb8795005659e87f363678f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>destroy</name>
      <anchorfile>structglobus__gass__transfer__listener__proto__s.html</anchorfile>
      <anchor>e99f80b2b7986ae60ae931a818c8cd4f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_proto_descriptor_t</name>
    <filename>structglobus__gass__transfer__proto__descriptor__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>url_scheme</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>f725227b293dff2a09fe1f7e719581db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_attr_t</type>
      <name>new_requestattr</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>5212a582b1ba38ffe84596e84aaf3b2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_request_t</type>
      <name>new_request</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>7f449721fe7d60f19dad28c1a455983c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_attr_t</type>
      <name>new_listenerattr</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>2a04a33d216bb13a675a13ec1bdad8e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_create_listener_t</type>
      <name>new_listener</name>
      <anchorfile>structglobus__gass__transfer__proto__descriptor__t.html</anchorfile>
      <anchor>9b6ad205c7538e871247cd40253ba27c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_request_proto_s</name>
    <filename>structglobus__gass__transfer__request__proto__s.html</filename>
    <member kind="variable">
      <type>globus_gass_transfer_proto_send_t</type>
      <name>send_buffer</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>e9f63c4c4a89f2a8531e8699ef0a0361</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_receive_t</type>
      <name>recv_buffer</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>bc80020784b58f5ed048c4f82f6a8c4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>fail</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>5b9735af0685535d62562639af991e53</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>deny</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>76de10292596db9769763773430e3c8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>refer</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>b58fee402798c1d1a17629a5ca9f01a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>authorize</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>282b6201e363b99a6ab814c66ad78c3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>destroy</name>
      <anchorfile>structglobus__gass__transfer__request__proto__s.html</anchorfile>
      <anchor>4a7190d6cc3f05d018d7b4fad70eb776</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_request_t</name>
    <filename>structglobus__gass__transfer__request__t.html</filename>
  </compound>
</tagfile>
